org.apache.avro.grpc

## Class AvroGrpcUtils

- java.lang.Object
- - org.apache.avro.grpc.AvroGrpcUtils

    public final class AvroGrpcUtils
    extends Object

Utility methods for using Avro IDL and serialization with gRPC.

### Method Summary

All Methods Static Methods Concrete Methods
`static org.apache.avro.Protocol` `getProtocol(Class iface)` Gets the `Protocol` from the Avro Interface.
`static String` `getServiceName(Class iface)` Provides a a unique gRPC service name for Avro RPC interface or its subclass Callback Interface.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getServiceName

    public static String getServiceName(Class iface)

Provides a a unique gRPC service name for Avro RPC interface or its subclass Callback Interface.

Parameters:
  `iface` - Avro RPC interface.
Returns:
  unique service name for gRPC.

#### getProtocol

    public static org.apache.avro.Protocol getProtocol(Class iface)

Gets the `Protocol` from the Avro Interface.